Skip to navigation

Update End User Skill Source

View as Markdown

Replace or enable a customer-authored source using its own revision CAS.

Private optimized methodology and optimizer digests are never returned. Replaying an operation returns its original receipt without reverting later work.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired
agent_slugstringRequired
tenant_idstringRequired1-128 characters
user_idstringRequired1-128 characters
skill_idstringRequired1-128 characters

Request

This endpoint expects an object.
enabledbooleanRequired
expectedRevisionstring or nullRequired<=256 characters
operationIdstringRequired1-128 characters
sourceRevisionstringRequired1-256 characters
contentstring or nullOptional<=1048576 characters
resourcesmap from strings to stringsOptional

Response

Successful Response
enabledboolean
operationIdstring
sourceRevisionstring

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error